## org.apache.commons.configuration
Class AbstractHierarchicalFileConfiguration.FileConfigurationDelegate

    java.lang.Object
      org.apache.commons.configuration.event.EventSource
          org.apache.commons.configuration.AbstractConfiguration
              org.apache.commons.configuration.BaseConfiguration
                  org.apache.commons.configuration.AbstractFileConfiguration
                      org.apache.commons.configuration.AbstractHierarchicalFileConfiguration.FileConfigurationDelegate

All Implemented Interfaces:
  Cloneable, Configuration, FileConfiguration, FileSystemBased

Enclosing class:
  AbstractHierarchicalFileConfiguration

    protected class AbstractHierarchicalFileConfiguration.FileConfigurationDelegate

extends AbstractFileConfiguration

A special implementation of the `FileConfiguration` interface that is used internally to implement the `FileConfiguration` methods for hierarchical configurations.

Field Summary

Fields inherited from class org.apache.commons.configuration.AbstractFileConfiguration
`autoSave, basePath, EVENT_CONFIG_CHANGED, EVENT_RELOAD, fileName, reloadLock, strategy`

Fields inherited from class org.apache.commons.configuration.AbstractConfiguration
`END_TOKEN, EVENT_ADD_PROPERTY, EVENT_CLEAR, EVENT_CLEAR_PROPERTY, EVENT_READ_PROPERTY, EVENT_SET_PROPERTY, START_TOKEN`

Constructor Summary
`protected` `AbstractHierarchicalFileConfiguration.FileConfigurationDelegate()`

Method Summary
`void` `clear()` Remove all properties from the configuration.
`void` `load(Reader in)` Load the configuration from the specified reader.
`void` `save(Writer out)` Save the configuration to the specified writer.

Methods inherited from class org.apache.commons.configuration.AbstractFileConfiguration

`addProperty, clearProperty, clone, closeSilent, configurationChanged, containsKey, enterNoReload, exitNoReload, fireEvent, getBasePath, getEncoding, getFile, getFileName, getFileSystem, getKeys, getPath, getProperty, getReloadingStrategy, getReloadLock, getURL, isAutoSave, isEmpty, load, load, load, load, load, load, possiblySave, refresh, reload, reload, resetFileSystem, save, save, save, save, save, save, setAutoSave, setBasePath, setEncoding, setFile, setFileName, setFileSystem, setPath, setProperty, setReloadingStrategy, setURL`

Methods inherited from class org.apache.commons.configuration.BaseConfiguration
`addPropertyDirect, clearPropertyDirect`

Methods inherited from class org.apache.commons.configuration.AbstractConfiguration

`addErrorLogListener, append, copy, createInterpolator, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDefaultListDelimiter, getDelimiter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getInterpolator, getKeys, getList, getList, getListDelimiter, getLogger, getLong, getLong, getLong, getProperties, getProperties, getShort, getShort, getShort, getString, getString, getStringArray, getSubstitutor, interpolate, interpolate, interpolatedConfiguration, interpolateHelper, isDelimiterParsingDisabled, isScalarValue, isThrowExceptionOnMissing, resolveContainerStore, setDefaultListDelimiter, setDelimiter, setDelimiterParsingDisabled, setListDelimiter, setLogger, setThrowExceptionOnMissing, subset`

Methods inherited from class org.apache.commons.configuration.event.EventSource
`addConfigurationListener, addErrorListener, clearConfigurationListeners, clearErrorListeners, createErrorEvent, createEvent, fireError, getConfigurationListeners, getErrorListeners, isDetailEvents, removeConfigurationListener, removeErrorListener, setDetailEvents`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.configuration.Configuration
`getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getKeys, getList, getList, getLong, getLong, getLong, getProperties, getShort, getShort, getShort, getString, getString, getStringArray, subset`

Constructor Detail

### AbstractHierarchicalFileConfiguration.FileConfigurationDelegate

    protected AbstractHierarchicalFileConfiguration.FileConfigurationDelegate()

Method Detail

### load

    public void load(Reader in)
              throws ConfigurationException

  Description copied from interface: `FileConfiguration`
  Load the configuration from the specified reader.

  Parameters:
    `in` - the reader
  Throws:
    `ConfigurationException` - if an error occurs during the load operation

### save

    public void save(Writer out)
              throws ConfigurationException

  Description copied from interface: `FileConfiguration`
  Save the configuration to the specified writer.

  Parameters:
    `out` - the writer
  Throws:
    `ConfigurationException` - if an error occurs during the save operation

### clear

    public void clear()

  Description copied from interface: `Configuration`
  Remove all properties from the configuration.

  Specified by:
    `clear` in interface `Configuration`
  Overrides:
    `clear` in class `BaseConfiguration`

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.